//A2-SRCLK serial shift clock
//A1-RCLK output latch clock
//A0-SER serial data in

//Pin connected to RCLK(ST_CP) of 74HC595
int latchPin = A1;
//Pin connected to SRCLK(SH_CP) of 74HC595
int clockPin = A2;
////Pin connected to SER(DS) of 74HC595
int dataPin = A0;

void setup()
{
	//set pins to output so you can control the shift register
	pinMode(latchPin, OUTPUT);
	pinMode(clockPin, OUTPUT);
	pinMode(dataPin, OUTPUT);
}

void loop()
{
	uint8_t value;
	value=B11111111,
	shiftByte(value);
	delay(500);
	value=B11111110;
	shiftByte(value);
	delay(500);
	value=B11111100;
	shiftByte(value);
	delay(500);
	value=B11111000;
	shiftByte(value);
	delay(500);
	value=B01111000;
	shiftByte(value);
	delay(500);
	
	
	
}

void shiftByte( uint8_t x){
	//90us function
	digitalWrite(latchPin, LOW);//Latch pin low
	shiftOut(dataPin, clockPin, MSBFIRST, x);//Transfer data to 74HC595
	digitalWrite(latchPin, HIGH);//latch pin high wil latch data
	
}

